"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractDataArray = void 0;
const lodash_merge_1 = __importDefault(require("lodash.merge"));
const get_cell_value_1 = require("../get_cell_value");
/**
 * Extract all the datas in the grid and render as an object
 *
 * @param data
 *
 * @returns an object
 */
const extractDataArray = (data) => {
    const headerArray = [];
    const objectArray = [];
    const rowData = data.rowData;
    if (rowData) {
        // get the header values
        if (rowData[0] && rowData[0].values) {
            let currentColNumberAfterkeys = 0;
            while (rowData[0].values[currentColNumberAfterkeys]) {
                const headerName = rowData[0].values[currentColNumberAfterkeys];
                if (headerName && headerName.effectiveValue && headerName.effectiveValue.stringValue) {
                    headerArray.push(headerName.effectiveValue.stringValue);
                }
                currentColNumberAfterkeys += 1;
            }
        }
        // get the cell value
        for (let row = 1; row < rowData.length; row += 1) {
            const values = rowData[row].values;
            const hasEffectiveValue = values && values[0] && values[0].effectiveValue;
            if (hasEffectiveValue) {
                let rowValue = {};
                for (let col = 0; col < headerArray.length; col += 1) {
                    rowValue = lodash_merge_1.default(rowValue, { [`${headerArray[col]}`]: get_cell_value_1.getCellValue(data, row, col) });
                }
                objectArray.push(rowValue);
            }
        }
    }
    return objectArray;
};
exports.extractDataArray = extractDataArray;
