"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const error_code_1 = require("../../error_code");
const spreadsheet = [
    {
        properties: {
            title: 'Sheet1',
        },
        data: [],
    },
    {
        properties: {
            title: 'Sheet2',
        },
        data: [],
    },
    {
        data: [],
    },
];
describe('Find Sheet By Title', () => {
    test('should return Error with message SHEET_TITLE_NOT_FOUND', () => {
        try {
            // act
            _1.findSheetByTitle(spreadsheet, 'title_not_exists');
        }
        catch (e) {
            // assert
            const error = e;
            expect(error.message).toBe(error_code_1.SHEET_TITLE_NOT_FOUND);
        }
    });
    test('should return the sheet with correct title ', () => {
        // act
        const sheet = _1.findSheetByTitle(spreadsheet, 'Sheet2');
        // assert
        expect(sheet).toBe(spreadsheet[1]);
    });
});
