import { sheets_v4 } from 'googleapis';
/**
 * Get the data from the sheets and check if the first row have the KEYS_VALUE, so it means that the spreadsheet use the JSON Noob format
 *
 * @throws {FIRST_CELL_NOT_KEY}
 * @throws {FIRST_ROW_NOT_FOUND}
 * @throws {KEYS_VALUE}
 * @throws {SHEET_DATA_NOT_FOUND}
 * @throws {SHEET_GRID_DATA_NOT_FOUND}
 * @throws {SHEET_TITLE_NOT_FOUND}
 */
export declare const getSheetData: (sheetClient: sheets_v4.Sheets, spreadsheetId: string, sheetTitle: string) => Promise<sheets_v4.Schema$GridData>;
