export declare const exportJson: (spreadsheet_id: string, sheetTitle: string, configInput?: GsejConfigInput | undefined) => Promise<Record<string, unknown>[]>;
/**
 * Check if we have correct config to setup google client and access to the sheet
 *
 * @throws {NO_GOOGLE_CLIENT_ID}
 * @throws {NO_GOOGLE_CLIENT_SECRET}
 * @throws {NO_GOOGLE_ACCESS_TOKEN}
 * @throws {NO_GOOGLE_REFRESH_TOKEN}
 */
export declare const checkConfig: (config?: GsejConfigInput | undefined) => GsejConfig;
export declare type GsejConfigInput = {
    clientId?: string;
    clientSecret?: string;
    accessToken?: string;
    refreshToken?: string;
};
export declare type GsejConfig = {
    clientId: string;
    clientSecret: string;
    accessToken: string;
    refreshToken: string;
};
